%define _unpackaged_files_terminate_build 1

Name: termit
Version: 1.3.5
Release: alt1

Summary: Minimalistic terminal emulator with tabs and encoding support
Url: http://code.google.com/p/termit/
License: GPLv2
Group: Terminals
Packager: Maxim Ivanov <redbaron at altlinux.ru>

#http://termit.googlecode.com/files/%name-%version.tar.bz2
Source0: %name-%version.tar
Source1: termit-1.3.cfg.example 

Patch0: %name-%version-%release.patch

Provides: xvt, %_bindir/xvt
PreReq: alternatives >= 0:0.2.0-alt0.12
BuildRequires: desktop-file-utils cmake libvte-devel gcc4.1-c++ libtinfo-devel

%description
Simple terminal emulator based on vte library. 

Features:
* tabs
       * bookmarks
       * changing tab name
       * changing font for tabs
       * encodings (all available from GTK2)
       * sessions 

Configuration can be changed via $HOME/.config/termit/termit.cfg file (example is provided). 

%prep
%setup
cp %SOURCE1 .
%patch0 -p1

%build
cmake -DCMAKE_INSTALL_PREFIX=%_prefix .
%make_build

%install
%make_install DESTDIR=%buildroot install
%find_lang %name

mkdir -p %buildroot%_altdir
cat >%buildroot%_altdir/%name <<EOF
%_bindir/xvt %_bindir/termit 40
EOF

%post
%register_alternatives %name -- xvt
%update_menus

%postun
%unregister_alternatives %name
%clean_menus

%files -f %name.lang
%doc termit-1.3.cfg.example
%_bindir/*
%_altdir/%name
%_desktopdir/*.desktop
%_docdir/%name

%changelog
* Sat Sep 20 2008 Maxim Ivanov <redbaron at altlinux.org> 1.3.5-alt1
- Upstream version bump
- [patch] Default encodings hard-coded

* Sun Jun 8 2008 Maxim Ivanov <redbaron at altlinux.org> 1.3.1-alt1
- Initial build for Sisyphus

